<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUniversalDeviceTemplateReq StructType
 * @subpackage Structs
 */
class AddUniversalDeviceTemplateReq extends APIRequest
{
    /**
     * The universalDeviceTemplate
     * @var XUniversalDeviceTemplate
     */
    public $universalDeviceTemplate;
    /**
     * Constructor method for AddUniversalDeviceTemplateReq
     * @uses AddUniversalDeviceTemplateReq::setUniversalDeviceTemplate()
     * @param XUniversalDeviceTemplate $universalDeviceTemplate
     */
    public function __construct(XUniversalDeviceTemplate $universalDeviceTemplate = null)
    {
        $this
            ->setUniversalDeviceTemplate($universalDeviceTemplate);
    }
    /**
     * Get universalDeviceTemplate value
     * @return XUniversalDeviceTemplate|null
     */
    public function getUniversalDeviceTemplate()
    {
        return $this->universalDeviceTemplate;
    }
    /**
     * Set universalDeviceTemplate value
     * @param XUniversalDeviceTemplate $universalDeviceTemplate
     * @return AddUniversalDeviceTemplateReq
     */
    public function setUniversalDeviceTemplate(XUniversalDeviceTemplate $universalDeviceTemplate = null)
    {
        $this->universalDeviceTemplate = $universalDeviceTemplate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUniversalDeviceTemplateReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
